commit:     aadee7e63c20b4446afb261365a26b7e6bd88606
Author:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 11 04:26:35 2022 +0000
Commit:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Mon Apr 11 04:57:49 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aadee7e6

sys-apps/checkpolicy: bump to 3.4_rc1

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Jason Zaman <perfinion <AT> gentoo.org>

 sys-apps/checkpolicy/Manifest                   |  1 +
 sys-apps/checkpolicy/checkpolicy-3.4_rc1.ebuild | 54 +++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/sys-apps/checkpolicy/Manifest b/sys-apps/checkpolicy/Manifest
index 3010ddb97562..1a877520394b 100644
--- a/sys-apps/checkpolicy/Manifest
+++ b/sys-apps/checkpolicy/Manifest
@@ -1 +1,2 @@
 DIST checkpolicy-3.3.tar.gz 69286 BLAKE2B 
f22cb1b0dae5a89c0abb500c2f091beda7960493bd0dc3b9cb5bc8d2d08d507870e5db46f53ad87d0ddea5e3bbdb6c721a5c5e6824b37f554049000392af6a6d
 SHA512 
40e7ccd804aa19f229eb76bdaeb79c87ed19004ac7b91674ecfb92d543573dc26f9d456ea25ed1e0ef8e1a69538e41c68b386a0743023f3ea83aa4350fc3ce30
+DIST checkpolicy-3.4-rc1.tar.gz 69829 BLAKE2B 
7d217c79b689b8d08a4d16b174ac01bbee48ced7cc0920792a7263f3143f77838ba9f75ce7a3919a7eaa5818ac7ebdd1890a5fdc050680e45341bfe06dec634b
 SHA512 
9aac4bd862f6dcb654cdbc786e0f89f8eccf2f93e6368b3d458a4a15210a558552ffeb64be9daf57bf3309bf74661a4eb6a5a336e64357f6e99bf3b7946d9b45

diff --git a/sys-apps/checkpolicy/checkpolicy-3.4_rc1.ebuild 
b/sys-apps/checkpolicy/checkpolicy-3.4_rc1.ebuild
new file mode 100644
index 000000000000..b699f09c01de
--- /dev/null
+++ b/sys-apps/checkpolicy/checkpolicy-3.4_rc1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit toolchain-funcs
+
+MY_PV="${PV//_/-}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="SELinux policy compiler"
+HOMEPAGE="http://userspace.selinuxproject.org";
+
+if [[ ${PV} == 9999 ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/SELinuxProject/selinux.git";
+       S="${WORKDIR}/${P}/${PN}"
+else
+       
SRC_URI="https://github.com/SELinuxProject/selinux/releases/download/${MY_PV}/${MY_P}.tar.gz";
+       KEYWORDS="~amd64 ~arm ~arm64 ~mips ~riscv ~x86"
+       S="${WORKDIR}/${MY_P}"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="debug"
+
+DEPEND=">=sys-libs/libsepol-${PV}"
+BDEPEND="sys-devel/flex
+       sys-devel/bison"
+
+RDEPEND=">=sys-libs/libsepol-${PV}"
+
+src_compile() {
+       emake \
+               CC="$(tc-getCC)" \
+               YACC="bison -y" \
+               LIBDIR="\$(PREFIX)/$(get_libdir)"
+}
+
+src_install() {
+       default
+
+       if use debug; then
+               dobin "${S}/test/dismod"
+               dobin "${S}/test/dispol"
+       fi
+}
+
+pkg_postinst() {
+       if ! tc-is-cross-compiler; then
+               einfo "This checkpolicy can compile version `checkpolicy -V | 
cut -f 1 -d ' '` policy."
+       fi
+}

Reply via email to